local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.WKMRoomEasterEgg(container)


--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)



  
  
 --===================================================================
 --===================================================================

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CContext: ".."|cffffffff A Secret Room hidden within the Game, if you go towards the Tower and phase through the Overhang you will find yourself in a room with the Initals W.K.M.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffffffff Over the years there has been many theories over what this room was for but in 2020, The 3D artist, Chad Max, who was working on the project, hid this area as an homage to his father William Kenneth Max")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
 

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Orgrimmar")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("WKM Room")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Orgrimmar 57.39 44.78") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

 --===================================================================
 --===================================================================  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  end